package com.yihu.jw.entity.hospital.suggest;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 *
 */
@Entity
@Table(name = "base_suggestions_dict")
public class BaseSuggestionDictDO extends UuidIdentityEntityWithOperator {

    /**
     *版本号
     */
    @Column(name = "saas_id")
    private String saasId;
    /*
     *建议名称
     */
    @Column(name = "suggest_name")
    private String suggestName;
    /**

     *建议描述
     */
    @Column(name = "suggest_describe")
    private String suggestDescribe;
    /**
     *是否删除 1正常 0删除
     */
    @Column(name = "is_del")
    private Integer isDel;


    /**
     * 排序
     */
    @Column(name = "is_sort")
    private Integer  isSort;

    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getSuggestName() {
        return suggestName;
    }

    public void setSuggestName(String suggestName) {
        this.suggestName = suggestName;
    }

    public String getSuggestDescribe() {
        return suggestDescribe;
    }

    public void setSuggestDescribe(String suggestDescribe) {
        this.suggestDescribe = suggestDescribe;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public Integer getIsSort() {
        return isSort;
    }

    public void setIsSort(Integer isSort) {
        this.isSort = isSort;
    }
}
